#ifndef __S2_SERIAL_SPLITTER_H__
#define __S2_SERIAL_SPLITTER_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/
#define __S2_serial_splitter_REMOVE_DELIMITER_DIG_INPUT 0
#define __S2_serial_splitter_DEBUG_DIG_INPUT 1


/*
* ANALOG_INPUT
*/

#define __S2_serial_splitter_INPUT$_STRING_INPUT 0
#define __S2_serial_splitter_INPUT$_STRING_MAX_LEN 255
CREATE_STRING_STRUCT( S2_serial_splitter, __INPUT$, __S2_serial_splitter_INPUT$_STRING_MAX_LEN );
#define __S2_serial_splitter_START_DELIMITER$_STRING_INPUT 1
#define __S2_serial_splitter_START_DELIMITER$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __START_DELIMITER$, __S2_serial_splitter_START_DELIMITER$_STRING_MAX_LEN );
#define __S2_serial_splitter_END_DELIMITER$_STRING_INPUT 2
#define __S2_serial_splitter_END_DELIMITER$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __END_DELIMITER$, __S2_serial_splitter_END_DELIMITER$_STRING_MAX_LEN );
#define __S2_serial_splitter_DELIMITER$_STRING_INPUT 3
#define __S2_serial_splitter_DELIMITER$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __DELIMITER$, __S2_serial_splitter_DELIMITER$_STRING_MAX_LEN );
#define __S2_serial_splitter_TRANSLATE_FROM$_STRING_INPUT 4
#define __S2_serial_splitter_TRANSLATE_FROM$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __TRANSLATE_FROM$, __S2_serial_splitter_TRANSLATE_FROM$_STRING_MAX_LEN );
#define __S2_serial_splitter_TRANSLATE_TO$_STRING_INPUT 5
#define __S2_serial_splitter_TRANSLATE_TO$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __TRANSLATE_TO$, __S2_serial_splitter_TRANSLATE_TO$_STRING_MAX_LEN );
#define __S2_serial_splitter_ADD_PREFIX$_STRING_INPUT 6
#define __S2_serial_splitter_ADD_PREFIX$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __ADD_PREFIX$, __S2_serial_splitter_ADD_PREFIX$_STRING_MAX_LEN );
#define __S2_serial_splitter_ADD_SUFFIX$_STRING_INPUT 7
#define __S2_serial_splitter_ADD_SUFFIX$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __ADD_SUFFIX$, __S2_serial_splitter_ADD_SUFFIX$_STRING_MAX_LEN );



/*
* DIGITAL_OUTPUT
*/


/*
* ANALOG_OUTPUT
*/


#define __S2_serial_splitter_OUTPUT$_STRING_OUTPUT 0
#define __S2_serial_splitter_OUTPUT$_ARRAY_LENGTH 80

/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/


/*
* INTEGER
*/


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_serial_splitter_BUFFER$_STRING_MAX_LEN 16383
CREATE_STRING_STRUCT( S2_serial_splitter, __BUFFER$, __S2_serial_splitter_BUFFER$_STRING_MAX_LEN );
#define __S2_serial_splitter_INCOMING$_STRING_MAX_LEN 16383
CREATE_STRING_STRUCT( S2_serial_splitter, __INCOMING$, __S2_serial_splitter_INCOMING$_STRING_MAX_LEN );
#define __S2_serial_splitter_START$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __START$, __S2_serial_splitter_START$_STRING_MAX_LEN );
#define __S2_serial_splitter_END$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __END$, __S2_serial_splitter_END$_STRING_MAX_LEN );
#define __S2_serial_splitter_DATA$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __DATA$, __S2_serial_splitter_DATA$_STRING_MAX_LEN );
#define __S2_serial_splitter_FROM$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __FROM$, __S2_serial_splitter_FROM$_STRING_MAX_LEN );
#define __S2_serial_splitter_TO$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __TO$, __S2_serial_splitter_TO$_STRING_MAX_LEN );
#define __S2_serial_splitter_PREFIX$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __PREFIX$, __S2_serial_splitter_PREFIX$_STRING_MAX_LEN );
#define __S2_serial_splitter_SUFFIX$_STRING_MAX_LEN 20
CREATE_STRING_STRUCT( S2_serial_splitter, __SUFFIX$, __S2_serial_splitter_SUFFIX$_STRING_MAX_LEN );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_serial_splitter )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   DECLARE_IO_ARRAY( __OUTPUT$ );
   unsigned short __NMAXOUTPUTS;
   unsigned short __NLINECOUNT;
   unsigned short __BUSY;
   DECLARE_STRING_STRUCT( S2_serial_splitter, __BUFFER$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __INCOMING$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __START$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __END$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __DATA$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __FROM$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __TO$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __PREFIX$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __SUFFIX$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __INPUT$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __START_DELIMITER$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __END_DELIMITER$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __DELIMITER$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __TRANSLATE_FROM$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __TRANSLATE_TO$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __ADD_PREFIX$ );
   DECLARE_STRING_STRUCT( S2_serial_splitter, __ADD_SUFFIX$ );
};

START_NVRAM_VAR_STRUCT( S2_serial_splitter )
{
};



#endif //__S2_SERIAL_SPLITTER_H__

