#ifndef __S2_YAMAHA_IMX644_H__
#define __S2_YAMAHA_IMX644_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/

#define __S2_Yamaha_IMX644_MEMORY_DIG_INPUT 0
#define __S2_Yamaha_IMX644_MEMORY_ARRAY_LENGTH 16
#define __S2_Yamaha_IMX644_UP_DIG_INPUT 16
#define __S2_Yamaha_IMX644_UP_ARRAY_LENGTH 14
#define __S2_Yamaha_IMX644_DOWN_DIG_INPUT 30
#define __S2_Yamaha_IMX644_DOWN_ARRAY_LENGTH 14

/*
* ANALOG_INPUT
*/


#define __S2_Yamaha_IMX644_RX$_BUFFER_INPUT 0
#define __S2_Yamaha_IMX644_RX$_BUFFER_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_IMX644, __RX$, __S2_Yamaha_IMX644_RX$_BUFFER_MAX_LEN );

#define __S2_Yamaha_IMX644_LEVEL_ANALOG_INPUT 1
#define __S2_Yamaha_IMX644_LEVEL_ARRAY_LENGTH 14

/*
* DIGITAL_OUTPUT
*/
#define __S2_Yamaha_IMX644_COMMS_BUSY_DIG_OUTPUT 0

#define __S2_Yamaha_IMX644_MEMORY_FB_DIG_OUTPUT 1
#define __S2_Yamaha_IMX644_MEMORY_FB_ARRAY_LENGTH 16

/*
* ANALOG_OUTPUT
*/

#define __S2_Yamaha_IMX644_TX$_STRING_OUTPUT 0

#define __S2_Yamaha_IMX644_LEVEL_FB_ANALOG_OUTPUT 1
#define __S2_Yamaha_IMX644_LEVEL_FB_ARRAY_LENGTH 14

/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/


/*
* INTEGER
*/
CREATE_INTARRAY1D( S2_Yamaha_IMX644, __CHANNELLEVEL, 14 );;


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_Yamaha_IMX644_TEMP$_STRING_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_IMX644, __TEMP$, __S2_Yamaha_IMX644_TEMP$_STRING_MAX_LEN );
#define __S2_Yamaha_IMX644_STRING$_STRING_MAX_LEN 100
CREATE_STRING_STRUCT( S2_Yamaha_IMX644, __STRING$, __S2_Yamaha_IMX644_STRING$_STRING_MAX_LEN );
#define __S2_Yamaha_IMX644_WASTE$_STRING_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_IMX644, __WASTE$, __S2_Yamaha_IMX644_WASTE$_STRING_MAX_LEN );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_Yamaha_IMX644 )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   DECLARE_IO_ARRAY( __MEMORY );
   DECLARE_IO_ARRAY( __UP );
   DECLARE_IO_ARRAY( __DOWN );
   DECLARE_IO_ARRAY( __MEMORY_FB );
   DECLARE_IO_ARRAY( __LEVEL );
   DECLARE_IO_ARRAY( __LEVEL_FB );
   unsigned short __BUSY;
   unsigned short __VALUE;
   unsigned short __CHAN;
   unsigned short __LEV;
   unsigned short __LASTMEMORY;
   unsigned short __WAITINGFORMEMORY;
   DECLARE_INTARRAY( S2_Yamaha_IMX644, __CHANNELLEVEL );
   DECLARE_STRING_STRUCT( S2_Yamaha_IMX644, __TEMP$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_IMX644, __STRING$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_IMX644, __WASTE$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_IMX644, __RX$ );
};

START_NVRAM_VAR_STRUCT( S2_Yamaha_IMX644 )
{
};

DEFINE_WAITEVENT( S2_Yamaha_IMX644, TIMEOUTACK );
DEFINE_WAITEVENT( S2_Yamaha_IMX644, TIMEOUTMEM );


#endif //__S2_YAMAHA_IMX644_H__

